diff -ur a/libc/string/generic/memmove.c b/libc/string/generic/memmove.c
--- a/libc/string/generic/memmove.c	2016-02-01 16:40:56.000000000 +0100
+++ b/libc/string/generic/memmove.c	2016-04-21 11:43:25.468654728 +0200
@@ -23,7 +23,7 @@
 #include "memcopy.h"
 #include "pagecopy.h"
 
-#ifdef __ARCH_HAS_BWD_MEMCPY__
+#ifndef __ARCH_HAS_BWD_MEMCPY__
 /* generic-opt memmove assumes memcpy does forward copying! */
 #include "_memcpy_fwd.c"
 #endif
@@ -224,8 +224,8 @@
      Reduces the working set.  */
   if (dstp - srcp >= len)	/* *Unsigned* compare!  */
     {
-#ifndef __ARCH_HAS_BWD_MEMCPY__
-      /* Backward memcpy implementation cannot be used */
+#ifdef __ARCH_HAS_BWD_MEMCPY__
+      /* Backward memcpy implementation can be used */
       memcpy(dest, src, len);
 #else
       /* Copy from the beginning to the end.  */
